Skip to content

Calendar Events

Create and list appointment events managed through your calendars.

List events

GET /v1/calendar/events

Retrieve a paginated list of appointments for your organization.

Required scope: calendar:read

Query parameters

ParameterTypeDescription
pageintegerPage number (default: 1)
limitintegerResults per page (default: 20, max: 100)
calendarIdstringFilter by calendar ID
eventTypeIdstringFilter by event type ID
statusstringFilter by status (e.g., confirmed, cancelled)
dateFromstringISO 8601 — only events after this date
dateTostringISO 8601 — only events before this date

Example

bash
curl "https://api.replicer.ai/v1/calendar/events?status=confirmed&limit=10" \
  -H "Authorization: Bearer rpl_live_your_key"

Response 200 OK

json
{
  "data": [
    {
      "id": "clx-event-001",
      "calendarId": "clx-cal-001",
      "eventTypeId": "clx-et-001",
      "startTime": "2026-04-10T09:00:00Z",
      "endTime": "2026-04-10T09:30:00Z",
      "timezone": "America/New_York",
      "customerName": "John Doe",
      "customerPhone": "+1234567890",
      "customerEmail": "[email protected]",
      "notes": "Initial consultation",
      "title": "Sales Demo",
      "location": "Zoom",
      "status": "confirmed",
      "bookedVia": "api",
      "createdAt": "2026-04-05T10:00:00Z",
      "updatedAt": "2026-04-05T10:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 25,
    "totalPages": 3
  },
  "requestId": "req-abc123"
}

Create an event

POST /v1/calendar/events

Create a new appointment event.

Required scope: calendar:write

Request body

FieldTypeRequiredDescription
calendarIdstringYesID of the calendar
eventTypeIdstringYesID of the event type
startTimestringYesISO 8601 start time
endTimestringYesISO 8601 end time
timezonestringNoIANA timezone (default: UTC)
customerNamestringNoName of the customer
customerPhonestringNoPhone number
customerEmailstringNoEmail address
titlestringNoEvent title
locationstringNoEvent location or meeting link
notesstringNoAdditional notes

Example

bash
curl -X POST https://api.replicer.ai/v1/calendar/events \
  -H "Authorization: Bearer rpl_live_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "calendarId": "clx-cal-001",
    "eventTypeId": "clx-et-001",
    "startTime": "2026-04-15T14:00:00Z",
    "endTime": "2026-04-15T14:30:00Z",
    "timezone": "America/New_York",
    "customerName": "Jane Smith",
    "customerEmail": "[email protected]",
    "title": "Product Demo"
  }'

Response 201 Created

json
{
  "data": {
    "id": "clx-event-002",
    "calendarId": "clx-cal-001",
    "eventTypeId": "clx-et-001",
    "startTime": "2026-04-15T14:00:00Z",
    "endTime": "2026-04-15T14:30:00Z",
    "timezone": "America/New_York",
    "customerName": "Jane Smith",
    "customerPhone": null,
    "customerEmail": "[email protected]",
    "notes": null,
    "title": "Product Demo",
    "location": null,
    "status": "confirmed",
    "bookedVia": "api",
    "createdAt": "2026-04-05T10:00:00Z"
  },
  "requestId": "req-def456"
}

Errors

CodeCause
validation_errorMissing calendarId, eventTypeId, startTime, or endTime
not_foundCalendar or event type doesn't exist or doesn't belong to your org

Replicer API Documentation